<template>
  <q-page padding>
  <!-- content -->
    <form
      id="forma1"
      @submit="checkForm"
      action=""
      method=""
      novalidate="true"
    >
      <p v-if="errors.length">
        <b>Please correct the following error(s):</b>
        <ul>
          <li v-for="(error, index) in errors" :key="index" >{{ error }}</li>
        </ul>
      </p>
    <p>
      <label for="name">Name</label>
      <input
        id="name"
        v-model="name"
        type="text"
        name="name"
      >
    </p>
    <p>
      <label for="email">Email</label>
      <input
        id="email"
        v-model="email"
        type="email"
        name="email"
      >
    </p>
    <p>
      <label for="password">Password</label>
      <input
        id="password"
        v-model="password"
        type="password"
        name="password"
      >
    </p>
    <p>
      <label for="password2">Confirm Password</label>
      <input
        id="password2"
        v-model="password2"
        type="password"
        name="password2"
      >
    </p>
    <p>
      <input type="submit" value="Submit">
    </p>
    </form>
  </q-page>
</template>

<script>
export default {
  name: 'SignIn',
  data () {
    return {
      errors: [],
      name: null,
      email: null,
      password: null
    }
  },
  methods: {
    checkForm: function (e) {
      console.log(this)
      this.errors = []
      if (!this.name) {
        this.errors.push('Name is Required.')
      }
      if (!this.email) {
        this.errors.push('Email required.')
      } else if (!this.validEmail(this.email)) {
        this.errors.push('Valid email required.')
      }
      if (!this.errors.length) {
        return true
      }
      e.preventDefault()
    },
    validEmail: function (email) {
      var re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@(([[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
      return re.test(email)
    }
  }
}
</script>

<style>
</style>
